#fr-stations {
    padding-top: 20rem;
    padding-bottom: 0;
}

#map {
    opacity: 0;
}

.future-railway-stations #banner {
    min-height: unset;
}

.future-railway-stations .top-desc .desc-wrapper {
    display: flex;
    /* max-width: 950px; */
    justify-content: flex-start;
    width: 100%;
    margin-bottom: 4rem;
}

.future-railway-stations .top-desc h1 {
    /* font-size: 3.750rem; */
    /* width: 380px; */
    max-width: 460px;
    font-size: 4rem;
    line-height: 1.1;
    font-weight: 900;
    margin-top: -0.5rem;
    padding-right: 1.5rem;
    margin-bottom: 0;
}

.future-railway-stations .top-desc h1:lang(en) {
    font-size: 3.5rem;
}

/* .future-railway-stations .top-desc .desc-wrapper:lang(en) {
    max-width: 930px;
} */

.future-railway-stations .top-desc .border-start {
    padding-left: 1.5rem;
    flex: 1;
    /* width: calc(100% - 410px); */
}

.future-railway-stations #map {
    padding-top: unset;
    padding-bottom: unset;
    position: relative;
}

#main-map-wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 4;
    background-color: #e5e5e5;
}

#map.active #main-map-wrapper {
    -webkit-animation: 1s ease 0s normal forwards 1 fadeout;
    -moz-animation: 1s ease 0s normal forwards 1 fadeout;
    -o-animation: 1s ease 0s normal forwards 1 fadeout;
    animation: 1s ease 0s normal forwards 1 fadeout;
}

#main-map-wrapper .title {
    /* position: absolute; */
    width: 100%;
    /* height: 100%; */
    /* left: 0;
    top: 0; */
    margin-top: 4rem;
}

#main-map-wrapper #map-d {
    margin-top: calc(-58px - 36px);
}

/* #main-map-wrapper #map-m {
    margin-top: calc(-58px);
} */

#main-map-wrapper .next_page {
    padding: 0;
}
#main-map-wrapper .next_page #click-more-details {
    margin: 0 !important;
}

/**
* bottom bar
*/
.bottom-spacing {
    min-height: 6rem;
    position: relative;
}

.bottom-spacing #left-bg {
    background: linear-gradient(
        90deg,
        rgba(217, 199, 156, 1) 0%,
        rgba(112, 178, 157, 1) 50%,
        rgba(71, 150, 144, 1) 100%
    );
    position: absolute;
    height: 100%;
}

.bottom-spacing .slide-hints {
    color: #941e80;
    font-size: 30px;
    font-weight: 500;
    text-align: center;
    margin-bottom: 0;
    padding: 3rem 0;
    /* -webkit-animation: flickerAnimation 3s infinite;
    -moz-animation: flickerAnimation 3s infinite;
    -o-animation: flickerAnimation 3s infinite;
    animation: flickerAnimation 3s infinite; */
}

/* @keyframes flickerAnimation {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0.2;
    }
    100% {
        opacity: 1;
    }
}
@-o-keyframes flickerAnimation {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@-moz-keyframes flickerAnimation {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@-webkit-keyframes flickerAnimation {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
} */

.bottom-spacing .btns-wrapper {
    display: flex;
    justify-content: center;
}

.bottom-spacing .btn-group {
    width: 100%;
    margin-bottom: 2rem;
}

.bottom-spacing .btn-group #left-map-btn {
    border-top-left-radius: 50vh;
    border-bottom-left-radius: 50vh;
}

.bottom-spacing .btn-group #right-map-btn {
    border-top-right-radius: 50vh;
    border-bottom-right-radius: 50vh;
    border-left: none;
}

.bottom-spacing .btn-group button {
    min-height: 100px;
    width: 50%;
    background-color: white;
    color: #5da89a;
    border: solid 4px #5da89a;
    display: flex;
    align-items: center;
    justify-content: center;
}
.bottom-spacing .btn-group button h2 {
    margin-bottom: 0;
}
.bottom-spacing .btn-group #left-map-btn {
    padding-left: 1rem;
}
.bottom-spacing .btn-group #right-map-btn {
    padding-right: 1rem;
}

.bottom-spacing .btn-group button.active {
    background: #5da89a;
    color: white;
}

/**
* double-side map
*/
.fixed-map {
    display: inline-block;
    position: relative;
}

#single-train {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

#double-side-wrapper .btn-group-bar {
    position: absolute;
    top: 1rem;
    left: 0;
    right: 0;
    z-index: 4;
}

#double-side-wrapper .btn-group-bar .container {
    display: flex;
    justify-content: flex-end;
}

#double-side-wrapper .btn-group-bar .container .icon-text-btn {
    margin-left: 0.5rem;
}

#instruction {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

#instruction .left-icon {
    position: absolute;
    top: 50%;
    left: 45%;
    transform: translate(-50%, -50%);
    -webkit-animation: left-icon 0.8s linear infinite;
    -moz-animation: left-icon 0.8s linear infinite;
    -o-animation: left-icon 0.8s linear infinite;
    animation: left-icon 0.8s linear infinite;
}
@keyframes left-icon {
    0% {
        left: 40%;
    }
    100% {
        left: 35%;
    }
}
@-o-keyframes left-icon {
    0% {
        left: 40%;
    }
    100% {
        left: 35%;
    }
}
@-moz-keyframes left-icon {
    0% {
        left: 40%;
    }
    100% {
        left: 35%;
    }
}
@-webkit-keyframes left-icon {
    0% {
        left: 40%;
    }
    100% {
        left: 35%;
    }
}

#instruction .right-icon {
    position: absolute;
    top: 50%;
    left: 55%;
    transform: translate(-50%, -50%);
    -webkit-animation: right-icon 0.8s linear infinite;
    -moz-animation: right-icon 0.8s linear infinite;
    -o-animation: right-icon 0.8s linear infinite;
    animation: right-icon 0.8s linear infinite;
}
@keyframes right-icon {
    0% {
        left: 60%;
    }
    100% {
        left: 65%;
    }
}
@-o-keyframes right-icon {
    0% {
        left: 60%;
    }
    100% {
        left: 65%;
    }
}
@-moz-keyframes right-icon {
    0% {
        left: 60%;
    }
    100% {
        left: 65%;
    }
}
@-webkit-keyframes right-icon {
    0% {
        left: 60%;
    }
    100% {
        left: 65%;
    }
}

.gutter {
    background-color: #941e80;
    background-repeat: no-repeat;
    background-position: 50%;
}

.gutter.gutter-horizontal {
    position: relative;
    z-index: 4;
}

.gutter.gutter-horizontal::before {
    content: "";
    background-image: url(../../images/pages/future-railway-stations/slider-btn.svg);
    background-color: white;
    background-repeat: no-repeat;
    border-radius: 41px;
    cursor: col-resize;
    width: 82px;
    height: 82px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.map-area {
    position: relative;
    overflow: hidden;
}

.map-area .content-wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

#left-area .content-wrapper {
    left: 0;
    background-color: white;
}

#right-area .content-wrapper {
    right: 0;
    background: linear-gradient(90deg, #c9dddb 0%, #d2e3de 50%, #ede9de 100%);
}

#right-area .content-wrapper .area-btn {
    position: absolute;
    width: 200px;
    height: 120px;
    top: 160px;
    left: 900px;
    color: #a40484 !important;
    font-size: 18px;
    /* background-color: #ff00ff50; */
}

#right-area .content-wrapper .area-btn .icon-wrapper {
    display: none;
    position: absolute;
    left: 180px;
    top: 30px;
    width: 200px;
    height: 54px;
}

#right-area .content-wrapper .area-btn img {
    width: auto;
    height: 100%;
}

#right-area .content-wrapper .area-btn:hover .icon-wrapper {
    display: block;
    -webkit-animation: float 1.6s linear infinite;
    -moz-animation: float 1.6s linear infinite;
    -o-animation: float 1.6s linear infinite;
    animation: float 1.6s linear infinite;
}

#right-area .content-wrapper #train,
#right-area .content-wrapper #train2,
#right-area .content-wrapper #train3 {
    position: absolute;
    width: 165px;
    height: 123px;
    top: 790px;
    left: 740px;
}
/*  #right-area .content-wrapper #bubble-btn {
    width: 165px;
    height: 123px;
    top: 790px;
    left: 740px;
} */

/*  #right-area .content-wrapper #bubble-btn .icon-wrapper {
    display: block;
    top: 0px;
    left: 120px;
    height: 82px;
} */

#right-area #right-map-mask {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

#right-area #active-content {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    pointer-events: none;
}

#right-area #active-content .part-content {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(34, 32, 32, 0.63);
    pointer-events: all;
}

#right-area #active-content .part-content .front-wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

#right-area #active-content .part-content .front-wrapper .container {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

#right-area #active-content .part-content .front-wrapper .container .content {
    color: white;
    width: 50%;
    max-width: 450px;
    margin-right: 3%;
}

#right-area
    #active-content
    .part-content
    .front-wrapper
    .container
    .content
    h3 {
    margin-bottom: 0;
    margin-left: 1rem;
}

#right-area
    #active-content
    .part-content
    .front-wrapper
    .container
    .content
    .title-inner {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 1rem;
}

#right-area #active-content .part-content .front-wrapper .container h5 {
    margin-bottom: 1rem;
}

#right-area #active-content .part-content .front-wrapper .container ul {
    list-style-type: disc;
    padding-inline-start: 1rem;
    padding-left: 1.3rem;
    margin-left: 0;
}

#right-area #active-content .part-content .front-wrapper .container li {
    margin-bottom: 1rem;
    font-size: 12px;
}

#right-area #active-content #part1 .content {
    margin-top: 20%;
}

#right-area #active-content #part2 .content {
    margin-top: 15%;
}

#right-area #active-content #part3 .content {
    margin-top: 7%;
    max-width: 330px;
    margin-right: 20%;
}

#right-area #active-content .part-content #map-icons {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    -webkit-animation: float 1.6s linear infinite;
    -moz-animation: float 1.6s linear infinite;
    -o-animation: float 1.6s linear infinite;
    animation: float 1.6s linear infinite;
}

.future-railway-stations .next_page #click-more-details .btn {
    font-size: 24px;
}

@keyframes fadeout {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
@-o-keyframes fadeout {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
@-moz-keyframes fadeout {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
@-webkit-keyframes fadeout {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-10px);
    }
    100% {
        transform: translatey(0px);
    }
}
@-o-keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-10px);
    }
    100% {
        transform: translatey(0px);
    }
}
@-moz-keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-10px);
    }
    100% {
        transform: translatey(0px);
    }
}
@-webkit-keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-10px);
    }
    100% {
        transform: translatey(0px);
    }
}

.modal-backdrop {
    background-color: rgba(0, 0, 0, 0.8);
}
.modal-backdrop.show {
    opacity: 1;
}

@media screen and (max-width: 1199.98px) {
    #fr-stations {
        padding-top: 21rem;
    }

    #main-map-wrapper .title {
        /* position: relative;
        height: unset; */
    }

    .future-railway-stations .top-desc h1 {
        margin-top: -0.25rem;
    }
}

@media screen and (max-width: 991px) {
    .future-railway-stations .top-desc .desc-wrapper {
        flex-direction: column;
    }
    .future-railway-stations .top-desc .border-start {
        width: 100%;
        padding-left: 0;
        border: none !important;
    }
    .future-railway-stations .top-desc h1:lang(en),
    .future-railway-stations .top-desc h1 {
        font-size: 3rem;
        width: auto;
        margin-top: 0;
        margin-bottom: 1rem;
        line-height: 1;
    }
    /* .future-railway-stations .top-desc h1 {
        margin-bottom: 3rem;
    } */
    .bottom-spacing .btn-group {
        margin-bottom: 5rem;
    }
}

@media screen and (max-width: 768px) {
    #fr-stations {
        padding-top: 18rem;
        min-height: 100vh;
        margin-bottom: -334px;
        padding-bottom: 334px;
    }

    .future-railway-stations .top-desc .border-start {
        padding-left: 0;
        border: none !important;
    }
    .future-railway-stations .top-desc h1 {
        width: auto;
        font-size: 3rem;
        margin-bottom: 1rem;
        margin-top: 0;
    }
    .future-railway-stations .top-desc h1:lang(en) {
        font-size: 3rem;
    }
    .future-railway-stations #click-more-details {
        margin-top: 0;
        margin-left: 1rem;
    }

    .bottom-spacing .btn-group {
        margin-bottom: 2rem;
    }
    .bottom-spacing .btn-group button {
        font-size: 16px;
    }
}

@media screen and (max-width: 576px) {
    #fr-stations {
        padding-top: 13rem;
    }
    .future-railway-stations .on-top .back-q-home {
        bottom: 12%;
        width: 60%;
    }
    .future-railway-stations .top-desc .desc-wrapper,
    .future-railway-stations .top-desc .next_page {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
    .future-railway-stations .top-desc .border-start p br {
        display: none;
    }
}

#botton-group,
#front-mask {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

#botton-group .clickable-area {
    /* background-color: red;
    opacity: 0.5; */
    width: 50px;
    height: 50px;
    position: absolute;
    opacity: 1;
}

#botton-group .clickable-area .logo-area {
    width: 30px;
    height: 30px;
    position: absolute;
    /* background-color: red;
    opacity: 0.5; */
}

#botton-group #station-btn-1.clickable-area {
    left: 56.3%;
    top: -1.5%;
    width: 160px;
    height: 160px;
}

#botton-group #station-btn-2.clickable-area {
    left: 39.9%;
    top: 5.2%;
    width: 160px;
    height: 160px;
}

#botton-group #station-btn-3.clickable-area {
    left: 24.8%;
    top: 20%;
    width: 160px;
    height: 160px;
}

#botton-group #station-btn-4.clickable-area {
    left: 8.1%;
    top: 41.2%;
    width: 160px;
    height: 160px;
}

#botton-group #station-btn-5.clickable-area {
    left: 48.2%;
    top: 60.7%;
    width: 160px;
    height: 160px;
}

#botton-group .clickable-area #logo-1.logo-area {
    right: -55%;
    bottom: -51%;
}

#botton-group .clickable-area #logo-2.logo-area {
    right: -45%;
    bottom: -38%;
}

#botton-group .clickable-area #logo-3.logo-area {
    right: -46%;
    bottom: 20%;
}

#botton-group .clickable-area #logo-4.logo-area {
    right: -53%;
    bottom: 56%;
}

#botton-group .clickable-area #logo-5.logo-area {
    left: -13%;
    bottom: 13%;
}

.pin-btn {
    position: absolute;
    z-index: 4;
    opacity: 1 !important;
    width: 1px;
    height: 1px;
    padding: 0;
}

.pin-btn:hover img {
    -webkit-animation: float 1.6s linear infinite;
    -moz-animation: float 1.6s linear infinite;
    -o-animation: float 1.6s linear infinite;
    animation: float 1.6s linear infinite;
}

.pin-btn img {
    position: absolute;
    bottom: 0;
    width: 60px;
    height: 60px;
    object-fit: contain;
    max-width: unset;
    left: -30px;
}

#pin-btn-1.pin-btn {
    left: 29%;
    top: 20%;
}

#pin-btn-2.pin-btn {
    left: 49%;
    top: 52%;
}

#pin-btn-3.pin-btn {
    left: 63%;
    top: 97%;
}

.modal-dialog {
    margin: 0;
}
